org.eclipse.oomph.util

## Class PropertyFile

- java.lang.Object
- - org.eclipse.oomph.util.PropertyFile

-     public class PropertyFile
      extends Object

  Author:
    Ed Merks

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyFile(File file)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getProperty(String key, String defaultValue)`
    `Map<String,String>` | `loadProperties()`
    `void` | `removeProperty(String key)`
    `void` | `saveProperties(Map<String,String> properties)`
    `void` | `setProperty(String key, String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyFile

          public PropertyFile(File file)

  - ### Method Detail

    - #### getProperty

          public String getProperty(String key,
                           String defaultValue)

    - #### setProperty

          public void setProperty(String key,
                         String value)

    - #### removeProperty

          public void removeProperty(String key)

    - #### loadProperties

          public Map<String,String> loadProperties()

    - #### saveProperties

          public void saveProperties(Map<String,String> properties)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html